#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xJf atk-2.8.0.tar.xz
    cd atk-2.8.0
    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-gtk-doc-html --enable-introspection=no
    make -C atk
    strip -R .note -R .comment atk/.libs/libatk-1.0.so.0
    mkdir -p ../libatk10-0/lib
    cp atk/.libs/libatk-1.0.so.0 ../libatk10-0/lib/
    cd ..
    rm -rf atk-2.8.0
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
